### Hierarchy

- AvatarCustomizationParser

### Implements

- Parser

## Index

### Properties

- avatarCostumizationRegex

### Methods

- Parse
- isItemTemplateAvatarCostumization

## Properties

### Private avatarCostumizationRegex

avatarCostumizationRegex: string = "^(AVATAR_?.*)"

- Defined in components/avatar-customization/avatar-customization.parser.ts:7

## Methods

### Parse

- Parse(gameMaster: RootObject): AvatarCustomization[]

- Implementation of Parser.Parse

  - Defined in components/avatar-customization/avatar-customization.parser.ts:11

  #### Parameters

  - ##### gameMaster: RootObject

  #### Returns AvatarCustomization[]

### Private isItemTemplateAvatarCostumization

- isItemTemplateAvatarCostumization(item: ItemTemplate): boolean

- - Defined in components/avatar-customization/avatar-customization.parser.ts:8

  #### Parameters

  - ##### item: ItemTemplate

  #### Returns boolean

Generated using TypeDoc